summaryrefslogtreecommitdiffstats
path: root/.gitlab/ci
diff options
context:
space:
mode:
authorKyle Edwards <kyle.edwards@kitware.com>2022-12-09 15:56:49 (GMT)
committerKyle Edwards <kyle.edwards@kitware.com>2022-12-13 15:29:20 (GMT)
commit42445b2c049883401d3a70adf1415875c62fc5b8 (patch)
treee70943e2ef3980173a3f3baf7bf0813ca68a550f /.gitlab/ci
parentaf58b6d2ad9a000146e8db2b1c3c74b1a93456ef (diff)
downloadCMake-42445b2c049883401d3a70adf1415875c62fc5b8.zip
CMake-42445b2c049883401d3a70adf1415875c62fc5b8.tar.gz
CMake-42445b2c049883401d3a70adf1415875c62fc5b8.tar.bz2
ci: run commit messages through codespell
Diffstat (limited to '.gitlab/ci')
-rwxr-xr-x.gitlab/ci/codespell.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.gitlab/ci/codespell.sh b/.gitlab/ci/codespell.sh
new file mode 100755
index 0000000..fd052bd
--- /dev/null
+++ b/.gitlab/ci/codespell.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+result=0
+echo "Running codespell on source code..."
+codespell || result=1
+
+if [ -n "$CI_MERGE_REQUEST_DIFF_BASE_SHA" ]; then
+ for COMMIT in $(git rev-list "^$CI_MERGE_REQUEST_DIFF_BASE_SHA" "$CI_COMMIT_SHA"); do
+ echo "Running codespell on commit message of $COMMIT..."
+ git show --format=%B -s "$COMMIT" | codespell - || result=1
+ done
+fi
+
+exit $result